import { DocumentClient } from 'aws-sdk/lib/dynamodb/document_client';
export interface IDynamoDocumentClientAsync {
    get(i: DocumentClient.GetItemInput): Promise<DocumentClient.GetItemOutput>;
    batchGet(i: DocumentClient.BatchGetItemInput): Promise<DocumentClient.BatchGetItemOutput>;
    query(i: DocumentClient.QueryInput): Promise<DocumentClient.QueryOutput>;
    scan(i: DocumentClient.ScanInput): Promise<DocumentClient.ScanOutput>;
    update(i: DocumentClient.UpdateItemInput): Promise<DocumentClient.UpdateItemOutput>;
    put(i: DocumentClient.PutItemInput): Promise<DocumentClient.PutItemOutput>;
}
export declare class DynamoDocumentClientAsync implements IDynamoDocumentClientAsync {
    private dc;
    constructor(dc: DocumentClient);
    get(input: DocumentClient.GetItemInput): Promise<DocumentClient.GetItemOutput>;
    batchGet(input: DocumentClient.BatchGetItemInput): Promise<DocumentClient.BatchGetItemOutput>;
    query(input: DocumentClient.QueryInput): Promise<DocumentClient.QueryOutput>;
    scan(input: DocumentClient.ScanInput): Promise<DocumentClient.ScanOutput>;
    update(input: DocumentClient.UpdateItemInput): Promise<DocumentClient.UpdateItemOutput>;
    put(input: DocumentClient.PutItemInput): Promise<DocumentClient.PutItemOutput>;
}
