import { DynamoDB } from 'aws-sdk';
import { IDynamoDocumentClientAsync } from '../';
import Logger from './logger.class';
export default class DynamoAsyncDocumentClientLogger extends Logger<IDynamoDocumentClientAsync> implements IDynamoDocumentClientAsync {
    get(input: DynamoDB.DocumentClient.GetItemInput): Promise<any>;
    batchGet(input: DynamoDB.DocumentClient.BatchGetItemInput): Promise<any>;
    query(input: DynamoDB.DocumentClient.QueryInput): Promise<any>;
    scan(input: DynamoDB.DocumentClient.ScanInput): Promise<any>;
    update(input: DynamoDB.DocumentClient.UpdateItemInput): Promise<any>;
    put(input: DynamoDB.DocumentClient.PutItemInput): Promise<any>;
    protected parseFuncInput(input: any): any;
    protected parseFuncOutput(input: any): any;
    private modifyRequestInput(input);
}
