import { S3 } from 'aws-sdk';
import { IS3Async } from '../';
import Logger from './logger.class';
export default class S3AsyncLogger extends Logger<IS3Async> implements IS3Async {
    putObject(input: S3.PutObjectRequest): Promise<any>;
    upload(input: S3.PutObjectRequest): Promise<any>;
    getObject(input: S3.GetObjectRequest): Promise<any>;
    copyObject(input: S3.CopyObjectRequest): Promise<any>;
    protected parseFuncInput(input: any): any;
    protected parseFuncOutput(input: any): any;
    protected callPutPostFunction(functionName: string, input: any): Promise<any>;
}
