import { S3 } from 'aws-sdk';
export interface IS3Async {
    putObject(i: S3.PutObjectRequest): Promise<S3.PutObjectOutput>;
    upload(i: S3.PutObjectRequest, options?: S3.ManagedUpload.ManagedUploadOptions): Promise<S3.ManagedUpload.SendData>;
    getObject(r: S3.GetObjectRequest): Promise<S3.GetObjectOutput>;
    copyObject(r: S3.CopyObjectRequest): Promise<S3.CopyObjectOutput>;
}
export declare class S3Async implements IS3Async {
    private s3;
    constructor(s3: S3);
    putObject(i: S3.PutObjectRequest): Promise<S3.PutObjectOutput>;
    upload(i: S3.PutObjectRequest, options?: S3.ManagedUpload.ManagedUploadOptions): Promise<S3.ManagedUpload.SendData>;
    getObject(i: S3.GetObjectRequest): Promise<S3.GetObjectOutput>;
    copyObject(i: S3.CopyObjectRequest): Promise<S3.CopyObjectOutput>;
}
