import { SQS } from 'aws-sdk';
export interface ISqsAsync {
    sendMessageBatch(input: SQS.SendMessageBatchRequest): Promise<SQS.SendMessageBatchResult>;
    receiveMessage(input: SQS.ReceiveMessageRequest): Promise<SQS.ReceiveMessageResult>;
    deleteMessage(input: SQS.DeleteMessageRequest): Promise<{}>;
    deleteMessageBatch(input: SQS.DeleteMessageBatchRequest): Promise<SQS.DeleteMessageBatchResult>;
}
export declare class SqsAsync implements ISqsAsync {
    private sqs;
    constructor(sqs: SQS);
    sendMessageBatch(req: SQS.SendMessageBatchRequest): Promise<SQS.SendMessageBatchResult>;
    receiveMessage(req: SQS.ReceiveMessageRequest): Promise<SQS.ReceiveMessageResult>;
    deleteMessage(req: SQS.DeleteMessageRequest): Promise<{}>;
    deleteMessageBatch(req: SQS.DeleteMessageBatchRequest): Promise<SQS.DeleteMessageBatchResult>;
}
