"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class DynamoDocumentClientAsync {
    constructor(dc) {
        this.dc = dc;
    }
    get(input) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.dc.get(input, (err, data) => err ? rj(err) : rs(data)));
        });
    }
    batchGet(input) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.dc.batchGet(input, (err, data) => err ? rj(err) : rs(data)));
        });
    }
    query(input) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.dc.query(input, (err, data) => err ? rj(err) : rs(data)));
        });
    }
    scan(input) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.dc.scan(input, (err, data) => err ? rj(err) : rs(data)));
        });
    }
    update(input) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.dc.update(input, (err, data) => err ? rj(err) : rs(data)));
        });
    }
    put(input) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.dc.put(input, (err, data) => err ? rj(err) : rs(data)));
        });
    }
}
exports.DynamoDocumentClientAsync = DynamoDocumentClientAsync;
