"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class LambdaAsync {
    constructor(lambda) {
        this.lambda = lambda;
    }
    invoke(r) {
        return new Promise((rs, rj) => this.lambda.invoke(r, (err, data) => err ? rj(err) : rs(data)));
    }
}
exports.LambdaAsync = LambdaAsync;
