"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class S3Async {
    constructor(s3) {
        this.s3 = s3;
    }
    putObject(i) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.s3.putObject(i, (err, r) => err ? rj(err) : rs(r)));
        });
    }
    upload(i, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.s3.upload(i, (err, r) => err ? rj(err) : rs(r)));
        });
    }
    getObject(i) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.s3.getObject(i, (err, r) => err ? rj(err) : rs(r)));
        });
    }
    copyObject(i) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((rs, rj) => this.s3.copyObject(i, (err, r) => err ? rj(err) : rs(r)));
        });
    }
}
exports.S3Async = S3Async;
