import { Lambda } from 'aws-sdk';
import { InvocationRequest, InvocationResponse } from 'aws-sdk/clients/lambda';
export interface ILambdaAsync {
    invoke(r: InvocationRequest): Promise<InvocationResponse>;
}
export declare class LambdaAsync implements ILambdaAsync {
    private lambda;
    constructor(lambda: Lambda);
    invoke(r: InvocationRequest): Promise<Lambda.InvocationResponse>;
}
