import { SQS } from 'aws-sdk';
import { ISqsAsync } from '../';
import Logger from './logger.class';
export default class SqsAsyncLogger extends Logger<ISqsAsync> implements ISqsAsync {
    sendMessageBatch(input: SQS.SendMessageBatchRequest): Promise<any>;
    receiveMessage(input: SQS.ReceiveMessageRequest): Promise<any>;
    deleteMessage(input: SQS.DeleteMessageRequest): Promise<any>;
    deleteMessageBatch(input: SQS.DeleteMessageBatchRequest): Promise<any>;
    protected parseFuncInput(input: any): any;
    protected parseFuncOutput(input: any): any;
}
