"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SqsAsync {
    constructor(sqs) {
        this.sqs = sqs;
    }
    sendMessageBatch(req) {
        return new Promise((rs, rj) => this.sqs.sendMessageBatch(req, (err, r) => err ? rj(err) : rs(r)));
    }
    receiveMessage(req) {
        return new Promise((rs, rj) => this.sqs.receiveMessage(req, (err, r) => err ? rj(err) : rs(r)));
    }
    deleteMessage(req) {
        return new Promise((rs, rj) => this.sqs.deleteMessage(req, (err, r) => err ? rj(err) : rs(r)));
    }
    deleteMessageBatch(req) {
        return new Promise((rs, rj) => this.sqs.deleteMessageBatch(req, (err, r) => err ? rj(err) : rs(r)));
    }
}
exports.SqsAsync = SqsAsync;
